Browse code

modernize release process

Nat! authored on 12-10-2017 20:51:07
Showing 2 changed files
1 1
new file mode 100755
... ...
@@ -0,0 +1,45 @@
1
+#
2
+# For documentation and help see:
3
+#    https://github.com/mulle-nat/mulle-homebrew
4
+#
5
+#
6
+
7
+#######
8
+# If you are using mulle-build, you don't hafta change anything
9
+#######
10
+
11
+#
12
+# Generate your `def install` `test do` lines here. echo them to stdout.
13
+#
14
+generate_brew_formula_build()
15
+{
16
+   local project="$1"
17
+   local name="$2"
18
+   local version="$3"
19
+
20
+   cat <<EOF
21
+def install
22
+  system "./install.sh", "#{prefix}"
23
+end
24
+EOF
25
+}
26
+
27
+
28
+#
29
+# If you are unhappy with the formula in general, then change
30
+# this function. Print your formula to stdout.
31
+#
32
+generate_brew_formula()
33
+{
34
+#   local project="$1"
35
+#   local name="$2"
36
+#   local version="$3"
37
+#   local dependencies="$4"
38
+#   local builddependencies="$5"
39
+#   local homepage="$6"
40
+#   local desc="$7"
41
+#   local archiveurl="$8"
42
+
43
+   _generate_brew_formula "$@"
44
+}
45
+
... ...
@@ -1,6 +1,6 @@
1 1
 #! /usr/bin/env bash
2 2
 #
3
-#   Copyright (c) 2017 Nat! - Codeon GmbH
3
+#   Copyright (c) 2017 Nat! - Mulle kybernetiK
4 4
 #   All rights reserved.
5 5
 #
6 6
 #   Redistribution and use in source and binary forms, with or without
... ...
@@ -37,41 +37,6 @@
37 37
 #   ./bin/release.sh -v -n --publisher mulle-nat --publisher-tap mulle-kybernetik/software/
38 38
 #
39 39
 
40
-#######
41
-# If you are using mulle-build, you don't hafta change anything
42
-#######
43
-
44
-#
45
-# Generate your `def install` `test do` lines here. echo them to stdout.
46
-#
47
-generate_brew_formula_build()
48
-{
49
-   cat <<EOF
50
-def install
51
-  system "./install.sh", "#{prefix}"
52
-end
53
-EOF
54
-}
55
-
56
-
57
-#
58
-# If you are unhappy with the formula in general, then change
59
-# this function. Print your formula to stdout.
60
-#
61
-generate_brew_formula()
62
-{
63
-#   local project="$1"
64
-#   local name="$2"
65
-#   local version="$3"
66
-#   local dependencies="$4"
67
-#   local builddependencies="$5"
68
-#   local homepage="$6"
69
-#   local desc="$7"
70
-#   local archiveurl="$8"
71
-
72
-   _generate_brew_formula "$@"
73
-}
74
-
75 40
 
76 41
 #######
77 42
 # Ideally changes to the following values are done with the command line
... ...
@@ -79,7 +44,7 @@ generate_brew_formula()
79 44
 #######
80 45
 
81 46
 MULLE_BOOTSTRAP_FAIL_PREFIX="`basename -- $0`"
82
-MULLE_HOMEBREW_VERSION="5.2.0"
47
+MULLE_HOMEBREW_VERSION="5.3.0"
83 48
 
84 49
 if [ -z "`command -v mulle-homebrew-env`" ]
85 50
 then
... ...
@@ -93,8 +58,10 @@ fi
93 58
 
94 59
 INSTALLED_MULLE_HOMEBREW_VERSION="`mulle-homebrew-env version`" || exit 1
95 60
 LIBEXEC_DIR="`mulle-homebrew-env libexec-path`" || exit 1
61
+RELEASE_DIR="`dirname -- "$0"`"
96 62
 
97 63
 . "${LIBEXEC_DIR}/mulle-files.sh"       || exit 1
64
+. "${LIBEXEC_DIR}/mulle-publisher.sh"   || exit 1
98 65
 . "${LIBEXEC_DIR}/mulle-homebrew.sh"    || exit 1
99 66
 . "${LIBEXEC_DIR}/mulle-git.sh"         || exit 1
100 67
 . "${LIBEXEC_DIR}/mulle-version.sh"     || exit 1
... ...
@@ -103,6 +70,8 @@ LIBEXEC_DIR="`mulle-homebrew-env libexec-path`" || exit 1
103 70
 
104 71
 main()
105 72
 {
73
+   log_verbose "mulle-homebrew-version ${MULLE_HOMEBREW_VERSION}"
74
+
106 75
    if [ "${DO_GIT_RELEASE}" != "YES" -a "${DO_GENERATE_FORMULA}" != "YES" ]
107 76
    then
108 77
       fail "Nothing to do! bin/version-info.sh and bin/formula-info.sh are missing"